Skip to content

Checks whether a contact can manage another

Request

Checks to see if a contact is clear to manage another contact by email addess

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed

managerIdstringrequired

The id of the manager

Query
emailAddressstringrequired

The email address to look up

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/rolodex/rolodex-v1/contacts/{tenantId}/checkManageability/{managerId}?emailAddress=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The social profile was retrieved successfully

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
avatarstring(Avatar)

A url of the image of the individual

biostring(Bio)

Bio/Notes

detailsobject(Details)
emailAddressstring(Emailaddress)

The primary email address

facebookstring(Facebook)

Facebook url

fullNamestring(Fullname)

The full name

genderstring(Gender)

The discovered gender

Enum:"female""male"
linkedinstring(Linkedin)

Linked in Profile

organizationstring(Organization)

The organization the contact belongs to

titlestring(Title)

The job title

twitterstring(Twitter)

Twitter handle

Response
{ "avatar": "string", "bio": "string", "details": {}, "emailAddress": "string", "facebook": "string", "fullName": "string", "gender": "female", "linkedin": "string", "organization": "string", "title": "string", "twitter": "string" }